{ ... }: {
  flake.lib.niriWindowRules = [
    {
      matches = [
        {
          app-id = "^$";
          title = "^$";
        }
      ];
      open-floating = true;
      open-focused = false;
    }
    {
      matches = [
        { title = "^(Picture-in-Picture|Picture in picture)$"; }
      ];
      open-floating = true;
      open-focused = false;
      default-column-width = { fixed = 640; };
      default-window-height = { fixed = 360; };
      default-floating-position = _: {
        props = {
          x = 32;
          y = 32;
          relative-to = "bottom-right";
        };
      };
    }
    {
      matches = [
        { app-id = "^Minecraft\\*"; }
        { app-id = "^Minecraft$"; }
      ];
      tiled-state = true;
    }
  ];
}
